## org.eclipse.datatools.enablement.postgresql.catalog.loaders
Class PostgresSequenceLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.enablement.postgresql.catalog.loaders.PostgresSequenceLoader

    public class PostgresSequenceLoader

extends JDBCBaseLoader

This class adds the ability to retrieve a list of sequences from a PostgreSQL database.

Author:
  pierre.queinnec@zenika.com

Constructor Summary
`PostgresSequenceLoader()`
`PostgresSequenceLoader(ICatalogObject catalogObject)`
`PostgresSequenceLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`void` `clearSequences(java.util.List sequences)`
`void` `loadSequences(java.util.List containmentList, java.util.Collection existingSequences)` This method loads and fills the containmentList with the sequences.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgresSequenceLoader

    public PostgresSequenceLoader()

### PostgresSequenceLoader

    public PostgresSequenceLoader(ICatalogObject catalogObject)

### PostgresSequenceLoader

    public PostgresSequenceLoader(ICatalogObject catalogObject,
                                  IConnectionFilterProvider connectionFilterProvider)

Method Detail

### clearSequences

    public void clearSequences(java.util.List sequences)

### loadSequences

    public void loadSequences(java.util.List containmentList,
                              java.util.Collection existingSequences)
                       throws java.sql.SQLException

  This method loads and fills the containmentList with the sequences. In addition every reference (to an found sequence) is removed from existingSequences. Considered are only those sequences, that are owned by the schema denoted by CatalogObject (should be an Schema).

  Parameters:
    `containmentList` - List of new Sequences
    `existingSequences` - List of old Sequences
  Throws:
    `java.sql.SQLException` - In case of an database error